update

 Raspberry Pi OS をアップデートしたら、CDEmu が動かなくなっってしまいました。カーネルのバージョンが上がったためです。またカーネルモジュールの vhba をコンパイルしないといけません。

 カーネルのソースコードを探しましたが、github に見つかりません。しようがないので、今まで使っていたモジュールを新しいバーションのディレクトリにコピーしました。

$ sudo depmod -A
$ sudo modprobe vhba

 なんの問題もなく読み込めました。

$ lsmod | grep vhba

 うん、ちゃんとあります。とりあえず助かりました。

Raspberry Pi

Posted by sirius